Skip to main content
GET
/
task
/
tasks
/
{projectId}
List Tasks
curl --request GET \
  --url https://cloud.kaneo.app/api/task/tasks/{projectId} \
  --header 'Authorization: Bearer <token>'
{}

Documentation Index

Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

projectId
string
required

Query Parameters

status
string
priority
string
assigneeId
string
page
string
limit
string
sortBy
enum<string>
Available options:
createdAt,
priority,
dueDate,
position,
title,
number
sortOrder
enum<string>
Available options:
asc,
desc
dueBefore
string
dueAfter
string

Response

200 - application/json

Project with tasks organized by columns

The response is of type object.